Work at SourceForge, help us to make it a better place! We have an immediate need for a Support Technician in our San Francisco or Denver office.

Close

#6 Support gnuarm-eabi toolchain

Next Release
closed-fixed
None
5
2013-09-28
2010-11-28
Anonymous
No

Hi!

This one is pretty easy.

The GCC now supports eabi target for ARM, please add support for this toolchain.
It is 100% same as the gnuarm-elf toolchain, only the name of the executables is changed, instead of arm-elf it is arm-eabi.

Also, you might want to link people this installer for the toolchain to be used along with the plugin, they work great together (not counting that I have to manually change all the executable names), and many people have trouble installing a toolchain.

Archives must be put into the dist directory:

-rw-r--r-- 1 akos akos 23314299 2010-10-14 15:01 binutils-2.20.1.tar.gz
-rw-r--r-- 1 akos akos 82100540 2010-10-14 15:01 gcc-4.4.4.tar.gz
-rw-r--r-- 1 akos akos 23635162 2010-10-14 15:01 insight-6.8-1.tar.bz2
-rw-r--r-- 1 akos akos 13598301 2010-10-14 15:01 newlib-1.18.0.tar.gz

Thanks,
axos88

Discussion

  • gnuarm installer for ubuntu (does not include archiveS)

     
    Attachments
    • assigned_to: nobody --> ilg-ul
     
  • the plug-in supports arm-eabi-* executables via the devkitPro toolchain variant. isn't this what you need?

    regarding the installer script, can you be more specific where do you suggest to put the link on it?

    another question: after a quick preview, your script doesn't mention the platform it runs on. is it a debian script?

    Liviu

     
  • I finally noticed the description attached to your script, it states 'ubuntu' :-)

    BTW, there is another install script at

    http://github.com/jsnyder/arm-eabi-toolchain

     
  • Akos
    Akos
    2010-11-28

    Yeah, that's it... Wasn't obvious what it was though... Now I checked, it works fine.

    Btw, can you add support for the -( and -) linker options to resolve circular dependencies in static libraries? It's quite annoying to list the included libraries like this:

    liba
    libb
    libc
    libd
    libe
    libd
    libc
    libb
    liba

     
  • any linker options are available via the -Wl,xxx syntax.

    the -( and -) have the verbose equivalent --start/end-group.

    for example:

    gcc -Wl,--start-group foo.o bar.o -Wl,--end-group

    is there any other support needed for this?

     
    • status: open --> closed-fixed
    • Group: --> Next Release